@Dlans1 This the native app, one of the earliest version. It is available only for Android version 4.4 and earlier. To update Windy to the newest version you need to update your phone. Older Android doesn't support certain technology, which we need. @Tomber42 @Marienka